Bug 183439 - [PATCH] x11/guake: unfetchable due to MASTER_SITES went away
Summary: [PATCH] x11/guake: unfetchable due to MASTER_SITES went away
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-29 13:20 UTC by John Marino
Modified: 2013-10-31 10:31 UTC (History)
0 users

See Also:


Attachments
file.diff (935 bytes, patch)
2013-10-29 13:20 UTC, John Marino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-10-29 13:20:00 UTC
This port has been broken for a while.  I thought I reported it, but I don't seen a PR.  The distfile is available elsewhere, but under a different name (prefix 0.4.4 vs. 0.4.4.0)

Attached patch fixes the port for me.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-10-29 13:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-10-30 20:44:01 UTC
Author: nivit
Date: Wed Oct 30 20:43:51 2013
New Revision: 332170
URL: http://svnweb.freebsd.org/changeset/ports/332170

Log:
  - Change MASTER_SITES, and the name of the dist file, because
    the old site is apparently disappeared, although the project
    is now hosted at GitHub  [1]
  - Bump PORTREVISION (change run-dependencies)
  - Add support for staging
  - Add desktop-file-utils to USES, and remove old, related stuffs
  - Add a notification system to run dependencies (deskutils/notify-osd),
    otherwise the program doesn't start if you use a window manager
    different from Gnome or XFCE
  - Use the new helpers to manage port options
  - Fix WWW URL in pkg-descr
  
  Build logs:	https://redports.org/buildarchive/20131030152201-15343/
  PR:	ports/183439  [1]
  Submitted by:	marino

Modified:
  head/x11/guake/Makefile
  head/x11/guake/distinfo   (contents, props changed)
  head/x11/guake/pkg-descr   (contents, props changed)
  head/x11/guake/pkg-plist

Modified: head/x11/guake/Makefile
==============================================================================
--- head/x11/guake/Makefile	Wed Oct 30 20:42:02 2013	(r332169)
+++ head/x11/guake/Makefile	Wed Oct 30 20:43:51 2013	(r332170)
@@ -2,9 +2,11 @@
 
 PORTNAME=	guake
 PORTVERSION=	0.4.4.0
-#PORTREVISION=	0
+PORTREVISION=	1
 CATEGORIES=	x11
-MASTER_SITES=	http://www.guake.org/downloads/5?dummy=empty/
+MASTER_SITES=	http://distfiles.gentoo.org/distfiles/ \
+		http://nivit.altervista.org/FreeBSD/ports/distfiles/
+DISTNAME=	${PORTNAME}-${PORTVERSION:R}
 
 MAINTAINER=	nivit@FreeBSD.org
 COMMENT=	Dropdown terminal made for the GNOME desktop
@@ -20,50 +22,57 @@ RUN_DEPENDS=	py${PYTHON_SUFFIX}-dbus>=0.
 		py${PYTHON_SUFFIX}-vte>=0.26.2_1:${PORTSDIR}/x11-toolkits/py-vte \
 		py${PYTHON_SUFFIX}-xdg>=0.19:${PORTSDIR}/devel/py-xdg
 
+#GH_ACCOUNT=	Guake
+#GH_TAGNAME=	${PORTVERSION:R}
+#GH_COMMIT=	88af26c
 GCONF_SCHEMAS=	guake.schemas
 GNU_CONFIGURE=	yes
 
 INSTALLS_ICONS=	yes
 
+NLS_CONFIGURE_ON=	--localedir=${PREFIX}/share/locale
+NLS_CONFIGURE_OFF=	--disable-nls
+
 OPTIONS_DEFINE=	MANPAGES NLS
-OPTIONS_DEFAULT=	MANPAGES NLS
+OPTIONS_DEFAULT=	MANPAGES
+OPTIONS_SUB=	MANPAGES NLS
+
+PLIST_SUB+=	DESKTOPDIR="${DESKTOPDIR:S,${PREFIX}/,,}"
+
+REINPLACE_ARGS=	-e 's,/usr/bin/env python,&${PYTHON_VER},' -i.bak
+REINPLACE_FILES=	guake guake-prefs prefs.py
+
+#USE_GITHUB=	yes
+USE_GNOME=	gtk20 pygnome2
+USE_PYTHON=	-2.7
+USES=	desktop-file-utils gmake pkgconfig
+
+WRKSRC=	${WRKDIR}/${DISTNAME}
 
-USES=		pkgconfig
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MMANPAGES}
-MAN1=	guake.1
-.else
-MAKE_ENV=	man_MANS=""
+.if !${PORT_OPTIONS:MMANPAGES}
+MAKE_ENV+=	man_MANS=""
 .endif
 
 .if ${PORT_OPTIONS:MNLS}
-CONFIGURE_ARGS=	--localedir=${PREFIX}/share/locale
-PLIST_SUB=	NLS=""
-USES+=		gettext
+USES+=	gettext
 .else
-CONFIGURE_ARGS=	--disable-nls
-PLIST_SUB=	NLS="@comment "
 REINPLACE_ARGS=	-E -e 's,(USE_NLS=)yes,\1no,'
 REINPLACE_FILES=	../configure
 .endif
 
-PLIST_SUB+=	DESKTOPDIR="${DESKTOPDIR:S,${PREFIX}/,,}"
-
-REINPLACE_ARGS+=	-e 's,/usr/bin/env python,&${PYTHON_VER},' -i.bak
-REINPLACE_FILES+=	guake guake-prefs prefs.py
-
-USE_GMAKE=	yes
-USE_GNOME=	desktopfileutils gtk20 pygnome2
-USE_PYTHON=	-2.7
-
-WRKSRC=	${WRKDIR}/${DISTNAME:R}
-
 post-patch:
-	cd ${WRKSRC}/src && ${REINPLACE_CMD} ${REINPLACE_FILES}
+	@cd ${WRKSRC}/src && ${REINPLACE_CMD} ${REINPLACE_FILES}
+
+.include <bsd.port.pre.mk>
 
-post-install:
-	-${LOCALBASE}/bin/update-desktop-database
+.if exists(${LOCALBASE}/libexec/notification-daemon)
+RUN_DEPENDS+=	notification-daemon>=0.7.2_1:${PORTSDIR}/deskutils/notification-daemon
+.elif exists (${LOCALBASE}/bin/xfce4-notifyd-config)
+RUN_DEPENDS+=	xfce4-notifyd>=0.2.4:${PORTSDIR}/deskutils/xfce4-notifyd
+.else
+RUN_DEPENDS+=	notify-osd>=0.9.29_4:${PORTSDIR}/deskutils/notify-osd
+.endif
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/x11/guake/distinfo
==============================================================================
--- head/x11/guake/distinfo	Wed Oct 30 20:42:02 2013	(r332169)
+++ head/x11/guake/distinfo	Wed Oct 30 20:43:51 2013	(r332170)
@@ -1,2 +1,2 @@
-SHA256 (guake-0.4.4.0.tar.gz) = 1e1054ba6bbd79897bda0e1cd2b9df86082f7e794a0e07afc5cb63c0a5e74ca5
-SIZE (guake-0.4.4.0.tar.gz) = 549189
+SHA256 (guake-0.4.4.tar.gz) = 1e1054ba6bbd79897bda0e1cd2b9df86082f7e794a0e07afc5cb63c0a5e74ca5
+SIZE (guake-0.4.4.tar.gz) = 549189

Modified: head/x11/guake/pkg-descr
==============================================================================
--- head/x11/guake/pkg-descr	Wed Oct 30 20:42:02 2013	(r332169)
+++ head/x11/guake/pkg-descr	Wed Oct 30 20:43:51 2013	(r332170)
@@ -4,4 +4,4 @@ or a similar program.
 Its style of window is based on fps games, and one of its purposes
 is to be easy to reach.
 
-WWW: http://guake.org
+WWW: http://github.com/Guake/guake

Modified: head/x11/guake/pkg-plist
==============================================================================
--- head/x11/guake/pkg-plist	Wed Oct 30 20:42:02 2013	(r332169)
+++ head/x11/guake/pkg-plist	Wed Oct 30 20:43:51 2013	(r332170)
@@ -1,6 +1,7 @@
 @comment $FreeBSD$
 bin/guake
 bin/guake-prefs
+%%MANPAGES%%man/man1/guake.1.gz
 %%NLS%%share/locale/de/LC_MESSAGES/guake.mo
 %%NLS%%share/locale/el/LC_MESSAGES/guake.mo
 %%NLS%%share/locale/es/LC_MESSAGES/guake.mo
@@ -60,5 +61,3 @@ share/pixmaps/guake/guake.png
 @dirrm share/pixmaps/guake
 @dirrm %%PYTHON_SITELIBDIR%%/guake
 @dirrm %%DATADIR%%
-@exec %%LOCALBASE%%/bin/update-desktop-database || /usr/bin/true
-@unexec %%LOCALBASE%%/bin/update-desktop-database || /usr/bin/true
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 John Marino freebsd_committer 2013-10-31 10:31:49 UTC
State Changed
From-To: open->closed

fix confirmed, thanks.